## org.apache.cassandra.db
Class AbstractColumnContainer.DeletionInfo

    java.lang.Object
      org.apache.cassandra.db.AbstractColumnContainer.DeletionInfo

Enclosing class:
  AbstractColumnContainer

    protected static class AbstractColumnContainer.DeletionInfo

extends java.lang.Object

Field Summary
`int` `localDeletionTime`
`long` `markedForDeleteAt`

Constructor Summary
`AbstractColumnContainer.DeletionInfo()`
`AbstractColumnContainer.DeletionInfo(long markedForDeleteAt, int localDeletionTime)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### markedForDeleteAt

    public final long markedForDeleteAt

### localDeletionTime

    public final int localDeletionTime

Constructor Detail

### AbstractColumnContainer.DeletionInfo

    public AbstractColumnContainer.DeletionInfo()

### AbstractColumnContainer.DeletionInfo

    public AbstractColumnContainer.DeletionInfo(long markedForDeleteAt,
                                                int localDeletionTime)

Copyright © 2012 The Apache Software Foundation